summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/myth/release-fixes/plugins
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-23 03:47:32 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-23 03:47:32 (GMT)
commita73aa26202d19da424722bcf1285b566dbfd9d8d (patch)
treecc24843c13127ef3b5d8207aa7c82be0b1f00d37 /abs/mv-core/myth/release-fixes/plugins
parenta1219610c24fc89e2e4c1b81194fe25e40933cf5 (diff)
downloadlinhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.zip
linhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.tar.gz
linhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.tar.bz2
add mythvantage specific packages.
Diffstat (limited to 'abs/mv-core/myth/release-fixes/plugins')
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mytharchive/PKGBUILD41
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythbrowser/PKGBUILD34
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythcontrols/PKGBUILD36
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythflix/PKGBUILD36
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythgallery/PKGBUILD36
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythgame/PKGBUILD36
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythmovietime/PKGBUILD35
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythmusic/PKGBUILD39
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythmusic/gcc4.3.patch37
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythmusic/music_flac.patch293
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythnews/PKGBUILD34
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythphone/PKGBUILD42
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythsmolt/PKGBUILD27
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythvideo/PKGBUILD36
-rw-r--r--abs/mv-core/myth/release-fixes/plugins/mythweather/PKGBUILD37
-rwxr-xr-xabs/mv-core/myth/release-fixes/plugins/mythweb/PKGBUILD34
-rwxr-xr-xabs/mv-core/myth/release-fixes/plugins/mythweb/dblogininit.inc6
-rwxr-xr-xabs/mv-core/myth/release-fixes/plugins/mythweb/mythweb.install37
-rwxr-xr-xabs/mv-core/myth/release-fixes/plugins/mythweb/mythweblighttpd.patch13
19 files changed, 889 insertions, 0 deletions
diff --git a/abs/mv-core/myth/release-fixes/plugins/mytharchive/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mytharchive/PKGBUILD
new file mode 100644
index 0000000..5a73f74
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mytharchive/PKGBUILD
@@ -0,0 +1,41 @@
+pkgname=mytharchive-release-fixes
+pkgver=17719
+pkgrel=5
+pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
+arch=('i686')
+url="http://www.mythtv.org"
+license=('GPL')
+depends=('mythtv-release-fixes' 'libxmu' 'mysql-python' 'pil' 'dvdauthor' 'cdrkit' 'dvd+rw-tools' 'mjpegtools' 'transcode' )
+source=()
+groups=('mythtv-all-plugins-release-fixes')
+#_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ PLUGIN=mytharchive
+ cd $startdir/src/
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+
+ PLUGIN=mytharchive
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ msg "Correcting configure kde3 to kde"
+ sed -i 's#kde3#kde#' configure || return 1
+ make distclean
+ ./configure --enable-opengl --disable-all --enable-create-archive --enable-create-dvd --enable-mytharchive || return 1
+ qmake mythplugins.pro || return 1
+ make qmake || return 1
+ msg "Correcting Makefile kde3 to kde"
+ sed -i 's#kde3#kde#' ./mytharchive/mytharchive/Makefile || return 1
+ make -j 2 || return 1
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythbrowser/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythbrowser/PKGBUILD
new file mode 100644
index 0000000..0a1b29e
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythbrowser/PKGBUILD
@@ -0,0 +1,34 @@
+
+pkgname=mythbrowser-release-fixes
+pkgver=17284
+pkgrel=2
+pkgdesc="Mini web browser for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'wget' 'libxvmc' 'kdelibs3')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ pwd
+ PLUGIN=mythbrowser
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --enable-opengl --disable-all --enable-mythbrowser || return 1
+ # sed -i 's#kde3#kde#' ./mythbrowser/mythbrowser/Makefile || return 1
+ make || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythcontrols/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythcontrols/PKGBUILD
new file mode 100644
index 0000000..31b1e73
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythcontrols/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythcontrols-release-fixes
+pkgver=17719
+pkgrel=5
+pkgdesc="Experimental controls for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv'-release-fixes)
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythcontrols
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythcontrols
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythflix/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythflix/PKGBUILD
new file mode 100644
index 0000000..3e49073
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythflix/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythflix-release-fixes
+pkgver=17719
+pkgrel=2
+pkgdesc="Netflix access plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+#_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ PLUGIN=mythflix
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythflix
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythgallery/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythgallery/PKGBUILD
new file mode 100644
index 0000000..4469148
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythgallery/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythgallery-release-fixes
+pkgver=17719
+pkgrel=3
+pkgdesc="Image gallery plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'libexif' 'libtiff')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ export QMAKESPEC='linux-g++'
+ PLUGIN=mythgallery
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythgallery --enable-exif
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythgame/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythgame/PKGBUILD
new file mode 100644
index 0000000..d572df1
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythgame/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythgame-release-fixes
+pkgver=17719
+pkgrel=4
+pkgdesc="Emulation plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'zlib')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythgame
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ export QMAKESPEC='linux-g++'
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythgame
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythmovietime/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythmovietime/PKGBUILD
new file mode 100644
index 0000000..f6945af
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythmovietime/PKGBUILD
@@ -0,0 +1,35 @@
+pkgname=mythmovietime-release-fixes
+pkgver=17284
+pkgrel=6
+pkgdesc="Emulation plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'zlib')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythmovietime
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ export QMAKESPEC='linux-g++'
+ make distclean
+ ./configure --disable-all --enable-mythmovies
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythmusic/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythmusic/PKGBUILD
new file mode 100644
index 0000000..de26f57
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythmusic/PKGBUILD
@@ -0,0 +1,39 @@
+pkgname=mythmusic-release-fixes
+pkgver=17719
+pkgrel=9
+pkgdesc="Music playing plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686' 'x86_64')
+
+depends=('mythtv-release-fixes ' 'libid3tag' 'flac>=1.1.4 ' 'a52dec' 'libcdaudio' 'libcddb' 'libdvdread' 'libid3tag' 'libmad' 'libogg' 'libtheora' 'libvorbis' 'taglib' 'libvisual' 'cdparanoia' 'sdl' 'faad2' 'lame' 'fftw2')
+
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=(gcc4.3.patch)
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ make distclean
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins/mythmusic
+ patch -p1 < ../../gcc4.3.patch
+ cd $startdir/src/mythplugins
+ ./configure --disable-all --enable-mythmusic --enable-fftw --enable-sdl --disable-aac --enable-opengl
+PLUGIN=mythmusic
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+
+# ./configure --disable-all --enable-mythmusic
+
+ make || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythmusic/gcc4.3.patch b/abs/mv-core/myth/release-fixes/plugins/mythmusic/gcc4.3.patch
new file mode 100644
index 0000000..564c434
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythmusic/gcc4.3.patch
@@ -0,0 +1,37 @@
+Index: mythmusic/mythmusic/aacdecoder.cpp
+===================================================================
+--- mythmusic/mythmusic/aacdecoder.cpp (revision 17452)
++++ mythmusic/mythmusic/aacdecoder.cpp (working copy)
+@@ -19,6 +19,7 @@
+ #include <qobject.h>
+ #include <qiodevice.h>
+ #include <qfile.h>
++#include <stdlib.h>
+
+ #include "aacdecoder.h"
+ #include "constants.h"
+Index: mythmusic/mythmusic/aacdecoder.h
+===================================================================
+--- mythmusic/mythmusic/aacdecoder.h (revision 17452)
++++ mythmusic/mythmusic/aacdecoder.h (working copy)
+@@ -51,7 +51,7 @@
+ bool done, finish;
+ long len, bitrate;
+ uchar channels;
+- unsigned long sample_rate;
++ uint32_t sample_rate;
+ unsigned long output_size;
+ double totalTime, seekTime;
+
+Index: mythmusic/mythmusic/metaiomp4.cpp
+===================================================================
+--- mythmusic/mythmusic/metaiomp4.cpp (revision 17452)
++++ mythmusic/mythmusic/metaiomp4.cpp (working copy)
+@@ -3,6 +3,7 @@
+ #include <fcntl.h>
+ #include <unistd.h>
+ #include <sys/types.h>
++#include <stdlib.h>
+
+ using namespace std;
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythmusic/music_flac.patch b/abs/mv-core/myth/release-fixes/plugins/mythmusic/music_flac.patch
new file mode 100644
index 0000000..b152249
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythmusic/music_flac.patch
@@ -0,0 +1,293 @@
+--- flacdecoder.cpp.old 2007-03-11 18:14:37.000000000 -0400
++++ flacdecoder.cpp 2007-03-11 18:15:34.000000000 -0400
+@@ -17,7 +17,7 @@
+
+ #include <qtimer.h>
+
+-static FLAC__SeekableStreamDecoderReadStatus flacread(const FLAC__SeekableStreamDecoder *decoder, FLAC__byte bufferp[], unsigned *bytes, void *client_data)
++static FLAC__StreamDecoderReadStatus flacread(const FLAC__StreamDecoder *decoder, FLAC__byte bufferp[], unsigned *bytes, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -26,27 +26,27 @@
+
+ if (len == -1)
+ {
+- return FLAC__SEEKABLE_STREAM_DECODER_READ_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_READ_STATUS_END_OF_STREAM;
+ }
+
+ *bytes = len;
+- return FLAC__SEEKABLE_STREAM_DECODER_READ_STATUS_OK;
++ return FLAC__STREAM_DECODER_READ_STATUS_CONTINUE;
+ }
+
+-static FLAC__SeekableStreamDecoderSeekStatus flacseek(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 absolute_byte_offset, void *client_data)
++static FLAC__StreamDecoderSeekStatus flacseek(const FLAC__StreamDecoder *decoder, FLAC__uint64 absolute_byte_offset, void *client_data)
+ {
+ decoder = decoder;
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+
+ if (!dflac->input()->isDirectAccess())
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_ERROR;
+
+ if (dflac->input()->at(absolute_byte_offset))
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_OK;
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_OK;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_ERROR;
+ }
+
+-static FLAC__SeekableStreamDecoderTellStatus flactell(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 *absolute_byte_offset, void *client_data)
++static FLAC__StreamDecoderTellStatus flactell(const FLAC__StreamDecoder *decoder, FLAC__uint64 *absolute_byte_offset, void *client_data)
+ {
+ decoder = decoder;
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+@@ -54,20 +54,20 @@
+ long t = dflac->input()->at();
+ *absolute_byte_offset = t;
+
+- return FLAC__SEEKABLE_STREAM_DECODER_TELL_STATUS_OK;
++ return FLAC__STREAM_DECODER_TELL_STATUS_OK;
+ }
+
+-static FLAC__SeekableStreamDecoderLengthStatus flaclength(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 *stream_length, void *client_data)
++static FLAC__StreamDecoderLengthStatus flaclength(const FLAC__StreamDecoder *decoder, FLAC__uint64 *stream_length, void *client_data)
+ {
+ decoder = decoder;
+
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+
+ *stream_length = dflac->input()->size();
+- return FLAC__SEEKABLE_STREAM_DECODER_LENGTH_STATUS_OK;
++ return FLAC__STREAM_DECODER_LENGTH_STATUS_OK;
+ }
+
+-static FLAC__bool flaceof(const FLAC__SeekableStreamDecoder *decoder, void *client_data)
++static FLAC__bool flaceof(const FLAC__StreamDecoder *decoder, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -76,7 +76,7 @@
+ return dflac->input()->atEnd();
+ }
+
+-static FLAC__StreamDecoderWriteStatus flacwrite(const FLAC__SeekableStreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data)
++static FLAC__StreamDecoderWriteStatus flacwrite(const FLAC__StreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data)
+ {
+ decoder = decoder;
+
+@@ -132,7 +132,7 @@
+ }
+ }
+
+-static void flacmetadata(const FLAC__SeekableStreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
++static void flacmetadata(const FLAC__StreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -156,11 +156,11 @@
+ }
+ }
+
+-static void flacerror(const FLAC__SeekableStreamDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)
++static void flacerror(const FLAC__StreamDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)
+ {
+ decoder = decoder;
+
+- FLAC__FileDecoder *file_decoder = (FLAC__FileDecoder *)client_data;
++ FLAC__StreamDecoder *file_decoder = (FLAC__StreamDecoder *)client_data;
+
+ file_decoder = file_decoder;
+ status = status;
+@@ -262,17 +262,8 @@
+ }
+ }
+
+- decoder = FLAC__seekable_stream_decoder_new();
+- FLAC__seekable_stream_decoder_set_md5_checking(decoder, false);
+- FLAC__seekable_stream_decoder_set_read_callback(decoder, flacread);
+- FLAC__seekable_stream_decoder_set_seek_callback(decoder, flacseek);
+- FLAC__seekable_stream_decoder_set_tell_callback(decoder, flactell);
+- FLAC__seekable_stream_decoder_set_length_callback(decoder, flaclength);
+- FLAC__seekable_stream_decoder_set_eof_callback(decoder, flaceof);
+- FLAC__seekable_stream_decoder_set_write_callback(decoder, flacwrite);
+- FLAC__seekable_stream_decoder_set_metadata_callback(decoder, flacmetadata);
+- FLAC__seekable_stream_decoder_set_error_callback(decoder, flacerror);
+- FLAC__seekable_stream_decoder_set_client_data(decoder, this);
++ decoder = FLAC__stream_decoder_new();
++ FLAC__stream_decoder_set_md5_checking(decoder, false);
+
+ freq = 0;
+ bitrate = 0;
+@@ -281,8 +272,17 @@
+ totalTime = 0;
+ totalTime = totalTime < 0 ? 0 : totalTime;
+
+- FLAC__seekable_stream_decoder_init(decoder);
+- FLAC__seekable_stream_decoder_process_until_end_of_metadata(decoder);
++ FLAC__stream_decoder_init_stream(decoder,
++ flacread,
++ flacseek,
++ flactell,
++ flaclength,
++ flaceof,
++ flacwrite,
++ flacmetadata,
++ flacerror,
++ this);
++ FLAC__stream_decoder_process_until_end_of_metadata(decoder);
+
+ inited = TRUE;
+ return TRUE;
+@@ -295,8 +295,8 @@
+
+ void FlacDecoder::deinit()
+ {
+- FLAC__seekable_stream_decoder_finish(decoder);
+- FLAC__seekable_stream_decoder_delete(decoder);
++ FLAC__stream_decoder_finish(decoder);
++ FLAC__stream_decoder_delete(decoder);
+
+ if (input()->isOpen())
+ input()->close();
+@@ -330,7 +330,7 @@
+ }
+
+ bool flacok = true;
+- FLAC__SeekableStreamDecoderState decoderstate;
++ FLAC__StreamDecoderState decoderstate;
+
+ while (! done && ! finish) {
+ lock();
+@@ -340,12 +340,12 @@
+ FLAC__uint64 sample = (FLAC__uint64)(seekTime * 44100.0);
+ if (sample > totalsamples - 50)
+ sample = totalsamples - 50;
+- FLAC__seekable_stream_decoder_seek_absolute(decoder, sample);
++ FLAC__stream_decoder_seek_absolute(decoder, sample);
+ seekTime = -1.0;
+ }
+
+- flacok = FLAC__seekable_stream_decoder_process_single(decoder);
+- decoderstate = FLAC__seekable_stream_decoder_get_state(decoder);
++ flacok = FLAC__stream_decoder_process_single(decoder);
++ decoderstate = FLAC__stream_decoder_get_state(decoder);
+
+ if (decoderstate == 0 || decoderstate == 1)
+ {
+--- flacdecoder.h.old 2007-03-11 18:14:37.000000000 -0400
++++ flacdecoder.h 2007-03-11 18:14:12.000000000 -0400
+@@ -35,7 +35,7 @@
+ char *output_buf;
+ ulong output_bytes, output_at;
+
+- FLAC__SeekableStreamDecoder *decoder;
++ FLAC__StreamDecoder *decoder;
+
+ unsigned int bks;
+ bool done, finish;
+--- flacencoder.cpp.old 2007-03-11 18:14:37.000000000 -0400
++++ flacencoder.cpp 2007-03-11 18:14:12.000000000 -0400
+@@ -9,7 +9,7 @@
+ #include "flacencoder.h"
+ #include "metaioflacvorbiscomment.h"
+
+-#include <FLAC/file_encoder.h>
++#include <FLAC/stream_encoder.h>
+ #include <FLAC/assert.h>
+ #include <mythtv/mythcontext.h>
+
+@@ -29,32 +29,32 @@
+ int rice_parameter_search_dist = 0;
+ int max_lpc_order = 8;
+
+- encoder = FLAC__file_encoder_new();
++ encoder = FLAC__stream_encoder_new();
+
+- FLAC__file_encoder_set_streamable_subset(encoder, true);
+- FLAC__file_encoder_set_do_mid_side_stereo(encoder, do_mid_side);
+- FLAC__file_encoder_set_loose_mid_side_stereo(encoder, loose_mid_side);
+- FLAC__file_encoder_set_channels(encoder, NUM_CHANNELS);
+- FLAC__file_encoder_set_bits_per_sample(encoder, 16);
+- FLAC__file_encoder_set_sample_rate(encoder, 44100);
+- FLAC__file_encoder_set_blocksize(encoder, blocksize);
+- FLAC__file_encoder_set_max_lpc_order(encoder, max_lpc_order);
+- FLAC__file_encoder_set_qlp_coeff_precision(encoder, qlp_coeff_precision);
+- FLAC__file_encoder_set_do_qlp_coeff_prec_search(encoder, false);
+- FLAC__file_encoder_set_do_escape_coding(encoder, do_escape_coding);
+- FLAC__file_encoder_set_do_exhaustive_model_search(encoder,
++ FLAC__stream_encoder_set_streamable_subset(encoder, true);
++ FLAC__stream_encoder_set_do_mid_side_stereo(encoder, do_mid_side);
++ FLAC__stream_encoder_set_loose_mid_side_stereo(encoder, loose_mid_side);
++ FLAC__stream_encoder_set_channels(encoder, NUM_CHANNELS);
++ FLAC__stream_encoder_set_bits_per_sample(encoder, 16);
++ FLAC__stream_encoder_set_sample_rate(encoder, 44100);
++ FLAC__stream_encoder_set_blocksize(encoder, blocksize);
++ FLAC__stream_encoder_set_max_lpc_order(encoder, max_lpc_order);
++ FLAC__stream_encoder_set_qlp_coeff_precision(encoder, qlp_coeff_precision);
++ FLAC__stream_encoder_set_do_qlp_coeff_prec_search(encoder, false);
++ FLAC__stream_encoder_set_do_escape_coding(encoder, do_escape_coding);
++ FLAC__stream_encoder_set_do_exhaustive_model_search(encoder,
+ do_exhaustive_model_search);
+- FLAC__file_encoder_set_min_residual_partition_order(encoder,
++ FLAC__stream_encoder_set_min_residual_partition_order(encoder,
+ min_residual_partition_order);
+- FLAC__file_encoder_set_max_residual_partition_order(encoder,
++ FLAC__stream_encoder_set_max_residual_partition_order(encoder,
+ max_residual_partition_order);
+- FLAC__file_encoder_set_rice_parameter_search_dist(encoder,
++ FLAC__stream_encoder_set_rice_parameter_search_dist(encoder,
+ rice_parameter_search_dist);
+
+- FLAC__file_encoder_set_filename(encoder, outfile.local8Bit());
++
+
+- int ret = FLAC__file_encoder_init(encoder);
+- if (ret != FLAC__FILE_ENCODER_OK)
++ int ret = FLAC__stream_encoder_init_file(encoder, outfile.local8Bit(), NULL, NULL);
++ if (ret != FLAC__STREAM_ENCODER_OK)
+ {
+ VERBOSE(VB_GENERAL, QString("Error initializing FLAC encoder."
+ " Got return code: %1").arg(ret));
+@@ -70,8 +70,8 @@
+
+ if (encoder)
+ {
+- FLAC__file_encoder_finish(encoder);
+- FLAC__file_encoder_delete(encoder);
++ FLAC__stream_encoder_finish(encoder);
++ FLAC__stream_encoder_delete(encoder);
+ }
+
+ if (metadata)
+@@ -102,7 +102,7 @@
+
+ if(sampleindex == MAX_SAMPLES || (length == 0 && sampleindex > 0) )
+ {
+- if (!FLAC__file_encoder_process(encoder,
++ if (!FLAC__stream_encoder_process(encoder,
+ (const FLAC__int32 * const *) input,
+ sampleindex))
+ {
+--- flacencoder.h.old 2007-03-11 18:14:37.000000000 -0400
++++ flacencoder.h 2007-03-11 18:14:12.000000000 -0400
+@@ -4,7 +4,7 @@
+ #include <qstring.h>
+
+ #define HAVE_INTTYPES_H
+-#include <FLAC/file_encoder.h>
++#include <FLAC/stream_encoder.h>
+
+ #include "encoder.h"
+
+@@ -21,7 +21,7 @@
+ int addSamples(int16_t *bytes, unsigned int len);
+
+ private:
+- FLAC__FileEncoder *encoder;
++ FLAC__StreamEncoder *encoder;
+ unsigned int sampleindex;
+ FLAC__int32 inputin[NUM_CHANNELS][MAX_SAMPLES];
+ FLAC__int32 *input[NUM_CHANNELS];
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythnews/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythnews/PKGBUILD
new file mode 100644
index 0000000..ef46fd9
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythnews/PKGBUILD
@@ -0,0 +1,34 @@
+pkgname=mythnews-release-fixes
+pkgver=17719
+pkgrel=4
+pkgdesc="News checking plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ PLUGIN=mythnews
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-mythnews
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythphone/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythphone/PKGBUILD
new file mode 100644
index 0000000..0311916
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythphone/PKGBUILD
@@ -0,0 +1,42 @@
+pkgname=mythphone-release-fixes
+pkgver=17719
+pkgrel=3
+pkgdesc="Plugin that allows phone calls to be made to MythTv"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythphone
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+
+ msg "Correcting configure kde3 to kde"
+ sed -i 's#kde3#kde#' configure || return 1
+ ./configure --enable-opengl --disable-all --enable-mythphone || return 1
+ qmake mythplugins.pro || return 1
+ make qmake || return 1
+
+ msg "Correcting Makefile kde3 to kde"
+ sed -i 's#kde3#kde#' ./mythphone/mythphone/Makefile || return 1
+
+ make -j 2 || return 1
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythsmolt/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythsmolt/PKGBUILD
new file mode 100644
index 0000000..021d270
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythsmolt/PKGBUILD
@@ -0,0 +1,27 @@
+pkgname=mythsmolt-release-fixes
+pkgver=0.21
+pkgrel=4
+pkgdesc="mythsmolt, a hardware profileing tool"
+arch=('i686' 'x86_64')
+url="http://www.mythvantage.com"
+license=('GPL')
+depends=("mythtv-release-fixes" urlgrabber hal)
+source=("http://www.mythvantage.com/request.php?4")
+
+groups=('mythtv-extras')
+
+build() {
+ cd $startdir/src/mythsmolt_src/mythsmolt
+ . /etc/profile.d/qt3.sh
+
+ # use QT3 qmake
+ export PATH=$QTDIR/bin:$PATH
+ echo "INCLUDEPATH += /usr/local/include/mythtv" >> mythsmolt.pro.local
+ qmake mythsmolt.pro.local
+ make qmake || return 1
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
+
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythvideo/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythvideo/PKGBUILD
new file mode 100644
index 0000000..cdc8dea
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythvideo/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythvideo-release-fixes
+pkgver=17719
+pkgrel=2
+pkgdesc="Video playback and browsing plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'perlxml' 'perl-libwww' 'perl-uri' 'perl-xml-simple' 'ffmpeg')
+license="GPL"
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+
+source=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythvideo
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ ./configure --disable-all --enable-mythvideo --enable-transcode
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythweather/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythweather/PKGBUILD
new file mode 100644
index 0000000..997f78a
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythweather/PKGBUILD
@@ -0,0 +1,37 @@
+pkgname=mythweather-release-fixes
+pkgver=17719
+pkgrel=6
+pkgdesc="Weather checking plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-release-fixes' 'wget' 'perl-xml-sax' 'perl-soap-lite' 'perl-image-size' 'imagemagick')
+conflicts=('mythtv-plugins-release-fixes')
+groups=('mythtv-all-plugins-release-fixes')
+license="GPL"
+source=()
+#_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythweather
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ ./configure --enable-opengl --disable-all --enable-mythweather
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythweb/PKGBUILD b/abs/mv-core/myth/release-fixes/plugins/mythweb/PKGBUILD
new file mode 100755
index 0000000..9bddf1c
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythweb/PKGBUILD
@@ -0,0 +1,34 @@
+pkgname=mythweb-release-fixes
+pkgver=17724
+pkgrel=21
+pkgdesc="mythweb"
+url="http://www.mythtv.org"
+license="GPL"
+arch=('i686')
+depends=(php fcgi libmysqlclient )
+conflicts=('mythweb' 'mythweb-fixes')
+replaces=()
+backup=()
+install='mythweb.install'
+source=(mythweblighttpd.patch dblogininit.inc )
+md5sums=()
+_svntrunk=http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythplugins
+_svnmod=mythplugins
+build() {
+echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+#svn co http://cvs.mythtv.org/svn/trunk/mythtv
+#svn co http://cvs.mythtv.org/svn/trunk/mythplugins
+#svn co http://cvs.mythtv.org/svn/trunk/myththemes
+cd $startdir/src/mythplugins
+
+#take care of fing mythweb
+mkdir -p $startdir/pkg/data/srv/httpd/htdocs/
+cp -rp mythweb $startdir/pkg/data/srv/httpd/htdocs/
+cp -f $startdir/src/dblogininit.inc $startdir/pkg/data/srv/httpd/htdocs/mythweb/includes/
+cd $startdir/pkg/data/srv/httpd/htdocs/mythweb/includes
+patch -p0 < $startdir/src/mythweblighttpd.patch
+
+chown -R nobody:nobody $startdir/pkg/data/srv/httpd/htdocs/mythweb
+chmod -R 775 $startdir/pkg/data/srv/httpd/htdocs/mythweb
+}
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythweb/dblogininit.inc b/abs/mv-core/myth/release-fixes/plugins/mythweb/dblogininit.inc
new file mode 100755
index 0000000..c5395c5
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythweb/dblogininit.inc
@@ -0,0 +1,6 @@
+<?
+ $_SERVER["db_server"] = "localhost";
+ $_SERVER["db_name"] = "mythconverg";
+ $_SERVER["db_login"] = "mythtv";
+ $_SERVER["db_password"] = "mythtv";
+?>
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweb.install b/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweb.install
new file mode 100755
index 0000000..e135b6c
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweb.install
@@ -0,0 +1,37 @@
+
+# arg 1: the new package version
+pre_install () {
+/bin/true
+}
+
+post_install() {
+ #cp /etc/lighttpd/lighttpd.conf /tmp
+# sed -e "s/# .* \"mod_fastcgi\",/\"mod_fastcgi\"\,/g" /tmp/lighttpd.conf > /etc/lighttpd/lighttpd.conf
+ /bin/true
+
+}
+pre_upgrade () {
+ pre_install
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+
+ /bin/true
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+/bint/true
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweblighttpd.patch b/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweblighttpd.patch
new file mode 100755
index 0000000..6403a88
--- /dev/null
+++ b/abs/mv-core/myth/release-fixes/plugins/mythweb/mythweblighttpd.patch
@@ -0,0 +1,13 @@
+--- database.php.orig 2007-12-31 21:25:30.000000000 +0000
++++ database.php 2007-12-31 21:25:50.000000000 +0000
+@@ -18,6 +18,10 @@
+ custom_error("Please install the MySQL libraries for PHP.\n"
+ .'The package is usually called something like php-mysql.');
+ }
++ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
++ require_once 'dblogininit.inc';
++ }
++
+
+ // No database connection info defined?
+ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {